local L = LibStub("AceLocale-3.0"):GetLocale("Luggage")

local defaults = {
   profile = {
      placement = {
         xOffs = -500,
         yOffs = 500,
         width = 200,
         height = 200,
         anchor = "BOTTOMRIGHT",
         primaryExpansion = "TOP",
         secondaryExpansion = "LEFT",
      },
      bagbars = {
         ["**"] = {
            bagInset = 5,
            bagPadding = 3,
            bagButtonSize = 30,
            x = 500,
            y = 500,
            showAlways = true,
            tabs = {
               ["**"] = {
                  icon = "Interface\\Icons\\INV_Misc_QuestionMark",
                  name = L["New Tab"],
                  bags = {
                     ["**"] = {
                        x = 400,
                        y = 400,
                        itemSize = 30,
                        padding = 5,
                        inset = 10,
                        columns = 5,
                        growLeft = nil,
                        growUpwards = nil,
                        isUserPlaced = nil,
                        combineStacks = true,
                        itemIDs = {},
                        name = L["New Bag"],
                        icon = "Interface\\Icons\\INV_Misc_QuestionMark",
                        filters = {
                        },
                        showFreeSpace = 0,
                     },
                     {}, -- We need this empty table so that new tabs are properly populated with a "**" bag
                  },
               },
               {}, -- We need this empty table so that new bagbars are properly populated with a "**" tab
            },
         },
         Inventory = {
            name = L["Inventory"],
            tabs = {
               {
                  icon = "Interface\\Icons\\INV_Crate_02",
                  name = "Luggage",
                  bags = {
                     {
                        name = L["Unsorted"],
                        icon = "Interface\\Icons\\INV_Box_01",
                        filters = {
                           Unsorted = true,
                           Location = {
                              false
                           },
                        },
                     },
                     {
                        name = L["Quest Items"],
                        icon = "Interface\\Icons\\INV_Scroll_08",
                        filters = {
                           Quest_Item = true,
                           Location = {
                              false
                           },
                        },
                     },
                     {
                        name = L["Loot"],
                        icon = "Interface\\Icons\\INV_Misc_OrnateBox",
                        filters = {
                           Rarity = {
                              false,
                              false,
                              true,
                              true,
                              true,
                           },
                           Binding = {
                              ["BoP"] = false,
                              ["Soulbound"] = false,
                           },
                           Location = {
                              false
                           },
                        },
                     },
                     {
                        name = L["Tradeskills"],
                        icon = "Interface\\Icons\\INV_Misc_Wrench_01",
                        filters = {
                           Tradeskill = {
                              true,
                              true,
                              true,
                              true,
                              true,
                              true,
                              true,
                              true,
                              true,
                              true,
                              true,
                           },
                           Location = {
                              false,
                           },
                        },
                     },
                  },
               },
               {
                  icon = "Interface\\Icons\\INV_Summerfest_Smorc",
                  name = L["Consumables"],
                  bags = {
                     {
                        name = L["Potions"],
                        icon = "Interface\\Icons\\INV_Potion_142",
                        filters = {
                           Location = {
                              false,
                           },
                           Consumable = {
                              [2] = true,
                           },
                        },
                     },
                     {
                        name = L["Flasks & Elixirs"],
                        icon = "Interface\\Icons\\INV_Potion_76",
                        filters = {
                           Location = {
                              false,
                           },
                           Consumable = {
                              [3] = true,
                              [4] = true,
                           },
                        },
                     },
                     {
                        name = L["Food & Drink"],
                        icon = "Interface\\Icons\\INV_Misc_Food_100",
                        filters = {
                           Location = {
                              false,
                           },
                           Consumable = {
                              true,
                           },
                        },
                     },
                  }
               },
            },
         },
         Bank = {
            x = 500,
            y = 500,
            showAtBank = true,
            showAlways = false,
            name = L["Bank"],
            tabs = {
               {
                  icon = "Interface\\Icons\\INV_Box_01",
                  name = "Luggage",
                  bags = {
                     {
                        name = "Unfiltered Bank",
                        icon = "Interface\\Icons\\INV_Box_01",
                        filters = {
                           Location = {
                              [2] = false,
                           },
                           Unsorted = true,
                        },
                     },
                  },
               },
            },
         },
      },
   }
}

Luggage.defaultOptions = defaults